
libre-mesh firmware - Task # 4

Feature # 5 (Closed): Autoconfiguration system

Status: Closed Priority: Normal

Author: Nicolás Echániz Category:

Created: 05/13/2013 Assignee:

Updated: 10/24/2013 Due date:

Subject: Define config file structure

Description

History

#1 - 05/13/2013 08:05 pm - Nicolás Echániz

- Tracker changed from Bug to Task

#2 - 10/18/2013 12:16 pm - Nicolás Echániz

- Parent task set to #5

#3 - 10/24/2013 01:25 pm - Nicolás Echániz

- Status changed from New to Closed

#4 - 10/24/2013 01:34 pm - Nicolás Echániz

the discussed config definition at the moment of closing this issue was:

/etc/config/lime

config lime network

    option primary_dev eth0            # primary network device to get the MAC addres

    option main_ipv4                      # optional ? No

    option main_ipv6                      # optional ? No

config lime wifi

    option public_essid LiMe

    option mesh_bssid ca:fe:00:c0:ff:ee

config wifi phy0

  option channel '36+'

  option mrate '6000'

config wifi phy1

  option channel '1'

  option mrate '54000'

# Syntax is protoname:vlan  for that proto, lan  is for clients access, wan is for connection to the internet

config net eth1

    list    protocols    'bmx6'

    list    protocols    'wan'

config net eth0

    list    protocols    'bmx6'

    list    protocols    'lan'

    list    protocols    'batadv:31'

config net wlan0

    list    protocols 'bmx6:12'
    list    protocols    'batadv:31'

    list    protocols 'lan'

/etc/config/lime-defaults

config lime ip

    option ipv4_net 10.N1.N2.0/24

    option ipv6_net fddf:caN1:N2N3:1::/64

# Syntax is protoname:vlan  for that proto, lan  clients access, wan connection to the internet

configlime net

    list protocols bmx6:12

    list protocols batadv:N1

config lime wifi

    list mesh_channel_2ghz '11'

    list mesh_channel_2ghz '6'

    list mesh_channel_5ghz '36+'

    option mesh_mcast_rate_2ghz '24000'

    option mesh_mcast_rate_5ghz '6000'
